Generate and upload Dynamic Template

This request generates a Dynamic Template and then stores it within the line of credit account.

   Click here to learn more about this request

ℹ️

This request performs two actions.

This request generates a Dynamic Template and uploads it to a line of credit account as a document. These actions can be performed individually, if preferred. View Generate Dynamic Templates or Upload line of credit document to learn more.

Dynamic Templates are a powerful tool used to communicate with borrowers and generate agreement documents. Each template can include LoanPro's context engine variables to dynamically reflect the account's information. Note the following when using this request:

This request generates a Dynamic Template and converts it to a PDF. Once converted, it's added as a document stored within the line of credit account.

The ID of the Dynamic Template is required to generate it. Dynamic Template IDs can be found within the UI by navigating to Settings > Loan > Dynamic Templates > Dynamic Template Management. To pull Dynamic Template IDs via the API, send a GET request to the CustomForms endpoint:

https://loanpro.simnang.com/api/public/api/1/odata.svc/CustomForms?$select=id,fileName

For an example of how generating a Dynamic Template works within the UI, read our Generating docs article.

Database

(Please note: Dynamic Templates are referred to as Custom Forms within the database.)

For information on Dynamic Templates database tables, see the following articles:

Database – Custom Form Entity (custom_form_entity)

Database – Line of Credit Documents (line_of_credit_document_entity)

Database – Custom Form Tool Entity (custom_form_tool_entity)

Database – Custom Form Section Entity (custom_form_section_entity)

{
    "id": 9,
    "convertAsDocument": true,
    "documentSectionId": 3,
    "documentTitle": "Loan Agreement",
    "isVisible": true
}
Path Params
int32
required

The ID of the line of credit account.

Body Params
int32
required

The ID of the selected Dynamic Template.

boolean
required

Set this to true to convert the Dynamic Template to a document.

int32
required

The ID of the category in which the document will be categorized.
> Document section IDs can be viewed within the UI by navigating to Settings > Loan > Labeling > Document Sections.

string
required

Determines the name of the document.

boolean

Determines whether the borrower can view the uploaded document within the customer portal.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain